6.0.0-git
2021-01-18

[#13444] HTTP Auth driver needs "show_encryption"
Summary HTTP Auth driver needs "show_encryption"
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester Jasper.Olbrich (at) students (dot) uni-marburg (dot) de
Created 2014-08-15 (2348 days ago)
Due
Updated 2014-08-18 (2345 days ago)
Assigned
Resolved 2014-08-18 (2345 days ago)
Milestone
Patch Yes

History
2014-08-18 20:46:03 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit c561ddb16314fec7848268aefe273e5ad54428d9
Author: Jan Schneider <jan@horde.org>
Date:   Mon Aug 18 22:39:08 2014 +0200

     [jan] Add show_encryption setting to HTTP authentication 
configuration (Jasper.Olbrich@students.uni-marburg.de, Bug #13444).

     Conflicts:
             horde/docs/CHANGES
             horde/package.xml

  horde/config/conf.xml |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/c561ddb16314fec7848268aefe273e5ad54428d9
2014-08-18 20:41:04 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2014-08-18 20:40:14 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 9f3694a00432e0035a27667a51f67ed5c1ceb476
Author: Jan Schneider <jan@horde.org>
Date:   Mon Aug 18 22:39:08 2014 +0200

     [jan] Add show_encryption setting to HTTP authentication 
configuration (Jasper.Olbrich@students.uni-marburg.de, Bug #13444).

  horde/config/conf.xml |    2 ++
  horde/docs/CHANGES    |    2 ++
  horde/package.xml     |    4 ++--
  3 files changed, 6 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/9f3694a00432e0035a27667a51f67ed5c1ceb476
2014-08-15 16:11:03 Jasper (dot) Olbrich (at) students (dot) uni-marburg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ HTTP Auth driver needs "show_encryption"
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: add_show_encryption.patch Download
Reply to this comment
I tried to use $conf['auth']['driver'] = 'http', but my credentials 
were rejected until I either
removed the {SHA}-bit from the .htpasswd-line (i.e., changing it from 
User:{SHA}passwordhash to "User:passwordhash")
or
hacked the $conf['auth']['params']['show_encryption'] = true; setting 
into the conf.php. I think the conf.xml needs the show_encryption 
setting in the HTTP-Auth-Section.

Saved Queries